<?php
/* GET SIDEBARS */

if ( function_exists('register_sidebar') )
	register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<li class="sidebarbox ">',
    'after_widget' => '</li>',
	'before_title' => '<div class="sidebartitle">',
    'after_title' => '</div>',
	
    ));

    
 
	
/*******************************
 PAGINATION
********************************
 * Retrieve or display pagination code.
 *
 * The defaults for overwriting are:
 * 'page' - Default is null (int). The current page. This function will
 *      automatically determine the value.
 * 'pages' - Default is null (int). The total number of pages. This function will
 *      automatically determine the value.
 * 'range' - Default is 3 (int). The number of page links to show before and after
 *      the current page.
 * 'gap' - Default is 3 (int). The minimum number of pages before a gap is 
 *      replaced with ellipses (...).
 * 'anchor' - Default is 1 (int). The number of links to always show at begining
 *      and end of pagination
 * 'before' - Default is '<section class="emm-paginate">' (string). The html or text 
 *      to add before the pagination links.
 * 'after' - Default is '</section>' (string). The html or text to add after the
 *      pagination links.
 * 'title' - Default is '__('Pages:')' (string). The text to display before the
 *      pagination links.
 * 'next_page' - Default is '__('&raquo;')' (string). The text to use for the 
 *      next page link.
 * 'previous_page' - Default is '__('&laquo')' (string). The text to use for the 
 *      previous page link.
 * 'echo' - Default is 1 (int). To return the code instead of echo'ing, set this
 *      to 0 (zero).
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param array|string $args Optional. Override default arguments.
 * @return string HTML content, if not displaying.
 */

function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 2, 'gap' => 1, 'anchor' => 1,
		'before' => '<section class="emm-paginate">', 'after' => '</section>',
		'title' => __(''),
		'nextpage' => __('&raquo;'), 'previouspage' => __('&laquo'),
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'></span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}

/**
 * Helper function for pagination which builds the page links.
 *
 * @access private
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param int $start The first link page.
 * @param int $max The last link page.
 * @return int $page Optional, default is 0. The current page.
 */
function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}   
 /* GET CUSTOM MENUS */	
register_nav_menus( array(
		'primary' => __( 'Top Level Navigation', '' ),
	) );	
function nav_menu(){ ?>
			<div id="uppercat">
				<ul><li> Edit this menu bar from menu option.</li></ul>
			</div>
<?php }	
/*----------------------------------------------------
        {--------}  Comment area  {--------}
----------------------------------------------------*/
function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
    <div id="comment-<?php comment_ID(); ?>">
	 <div class="cocomment">
      <div class="comment-author vcard">
	  <div class="comment-meta commentmetadata">
	   <?php echo get_avatar($comment,$size='64',$default='http://www.gravatar.com/avatar/61a58ec1c1fba116f8424035089b7c71?s=64&d=&r=G' ); ?>
	  <?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?> <br /><?php printf(__('<strong>%s</strong> says:'), get_comment_author_link()) ?><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>
      <div class="text"><?php comment_text() ?></div>
      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
	  </div>
     </div>
<?php }
/*----------------------------------------------------
        {--------}  Popular post widget  {--------}
----------------------------------------------------*/
function best_theme_popular_posts() { ?>
	<div id="popular_post">
	    <h2>Recent Posts</h2>
		<ul>
			<?php $recent = new WP_Query('orderby=' . $orderby . '&cat=' . $cat_id . '&posts_per_page=' . $args['recent_post_numb'] . '6'); ?>
			<?php while ($recent->have_posts()) : $recent->the_post(); ?>
			<li><a href="<?php the_permalink() ?>">
				<?php /* Check if Post Thumbnail has been set (WordPress 2.9 and above) */
				if (has_post_thumbnail()) { the_post_thumbnail(array(105,105)); }
				else { ?>
				<img src="<?php bloginfo('template_directory'); ?>/images/thumbnails/thumb1.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="75" height="75" />
				<?php } ?></a>
			</li>
			<?php endwhile; ?>
		</ul>
	</div>
	<?php
}
/*----------------------------------------------------
        {--------}  Twitter Widget  {--------}
----------------------------------------------------*/
function best_theme_twitter_widget() {
global $options; foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
$twitter_sidebar = '
    <ul id="twitter_update_list">
		<li>Loading...</li>
	</ul>
	<script type="text/javascript" src="http://twitter.com/javascripts/blogger.js"></script>
	<script type="text/javascript" src="http://twitter.com/statuses/user_timeline/'.$best_theme_sidebar_twitter.'.json?callback=twitterCallback2&amp;count='.$best_theme_sidebar_twitter_numb.'"></script>
';
echo $twitter_sidebar;
}
/*----------------------------------------------------
        {--------}  Facebook Widget  {--------}
----------------------------------------------------*/
function facebook_widget() {
global $options; foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }}
$facebook_box = '
	<iframe src="http://www.facebook.com/plugins/likebox.php?href='.$best_theme_sidebar_facebook_page.'&amp;width=250&amp;colorscheme=light&amp;show_faces='.$best_theme_sidebar_facebook_faces.'&amp;stream=false&amp;header=true&amp;height=285" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:250px; height:285px;margin:0 0 0 0px" ></iframe>';
echo $facebook_box;
}
?>